# Class GenotypeConcordanceStates

java.lang.Object
picard.vcf.GenotypeConcordanceStates

public class GenotypeConcordanceStates extends Object
A class to store the various classifications for: 1. a truth genotype versus a reference 2. a call genotype versus a truth, relative to a reference An example use of this class is to have one instance per following use case: - SNPs - indels - filtered variant (truth or call) - filtered genotype (truth or call) - low GQ (call) - low DP (call) - No call (truth or call) - No variant (truth or call) *

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`GenotypeConcordanceStates.CallState`
These states represent the relationship between the call genotype and the truth genotype relative to a reference sequence.
`static enum`
`GenotypeConcordanceStates.ContingencyState`
A specific state for a 2x2 contingency table.
`static class`
`GenotypeConcordanceStates.TruthAndCallStates`
A minute class to store the truth and call state respectively.
`static enum`
`GenotypeConcordanceStates.TruthState`
These states represent the relationship between a truth genotype and the reference sequence.

## Constructor Summary

Constructors
Constructor
Description
`GenotypeConcordanceStates()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenotypeConcordanceStates

public GenotypeConcordanceStates()